RepairParallelism (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.repair

## Enum RepairParallelism

- java.lang.Object
- - java.lang.Enum<RepairParallelism>
  - - org.apache.cassandra.repair.RepairParallelism

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RepairParallelism>

      public enum RepairParallelism
      extends java.lang.Enum<RepairParallelism>

  Specify the degree of parallelism when calculating the merkle trees in a repair job.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DATACENTER_AWARE` One node per data center at a time
    `PARALLEL` All nodes at the same time
    `SEQUENTIAL` One node at a time

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RepairParallelism` | `fromName(java.lang.String name)` Return RepairParallelism that match given name.
    `java.lang.String` | `getName()`
    `java.lang.String` | `toString()`
    `static RepairParallelism` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RepairParallelism[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SEQUENTIAL

          public static final RepairParallelism SEQUENTIAL

      One node at a time

    - #### PARALLEL

          public static final RepairParallelism PARALLEL

      All nodes at the same time

    - #### DATACENTER_AWARE

          public static final RepairParallelism DATACENTER_AWARE

      One node per data center at a time

  - ### Method Detail

    - #### values

          public static RepairParallelism[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RepairParallelism c : RepairParallelism.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RepairParallelism valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### fromName

          public static RepairParallelism fromName(java.lang.String name)

      Return RepairParallelism that match given name. If name is null, or does not match any, this returns default "sequential" parallelism,
      Parameters:
        `name` - name of repair parallelism
      Returns:
        RepairParallelism that match given name

    - #### getName

          public java.lang.String getName()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<RepairParallelism>`

Copyright © 2018 The Apache Software Foundation